package com.zcxk.core.common.enums;

import com.zcxk.core.common.support.RespCode;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author Andy
 * @description: 服务响应code
 * @date 2021/7/16
 * @version V1.0
 **/
@Getter
@AllArgsConstructor
public enum RespCodeEnum implements RespCode {

    /**
     * 请求并处理成功 G 代表 Global 全局统一
     /**
     *返回状态
     */
    OK(0, "成功"),

    ERROR_500(500, "系统错误"),

    GLOBAL_PARAMETER_NOT_NULL(404, "缺少参数【%s】"),

    GLOBAL_PARAMETER_NOT_EMPTY(404, "缺少参数【%s】"),

    GLOBAL_GET_DISTRIBUTED_LOCK_ERROR(505, "获取redis锁失败"),
    ALAM_TYPE_DELETION_ERROR(201001,"所选告警类型有规则不为0的，不能删除");
    private int status;

    private String message;

}
